kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  resourceVersion: '23666216'
  name: workspace6a0465c8d0e54e7b
  uid: eb9e3b76-119a-42f7-819e-8730433040f5
  creationTimestamp: '2022-12-01T07:52:12Z'
  generation: 1
  managedFields:
    - manager: devworkspace-controller
      operation: Update
      apiVersion: apps/v1
      time: '2022-12-01T07:52:12Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:controller.devfile.io/creator': {}
            'f:controller.devfile.io/devworkspace_id': {}
            'f:controller.devfile.io/devworkspace_name': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"6a0465c8-d0e5-4e7b-87db-e95b4ed39ab8"}': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:strategy':
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:labels':
                .: {}
                'f:controller.devfile.io/creator': {}
                'f:controller.devfile.io/devworkspace_id': {}
                'f:controller.devfile.io/devworkspace_name': {}
              'f:name': {}
              'f:namespace': {}
            'f:spec':
              'f:volumes':
                'k:{"name":"che-trusted-ca-certs"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                  'f:name': {}
                'k:{"name":"che-gateway"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                  'f:name': {}
                'k:{"name":"workspace-metadata"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                    'f:optional': {}
                  'f:name': {}
                'k:{"name":"devworkspace-gitconfig"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                  'f:name': {}
                'k:{"name":"user-profile"}':
                  .: {}
                  'f:name': {}
                  'f:secret':
                    .: {}
                    'f:defaultMode': {}
                    'f:secretName': {}
                .: {}
                'k:{"name":"che-server-cert"}':
                  .: {}
                  'f:name': {}
                  'f:secret':
                    .: {}
                    'f:defaultMode': {}
                    'f:secretName': {}
                'k:{"name":"che-git-tls-creds"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                  'f:name': {}
                'k:{"name":"devworkspace-merged-git-credentials"}':
                  .: {}
                  'f:name': {}
                  'f:secret':
                    .: {}
                    'f:defaultMode': {}
                    'f:secretName': {}
              'f:containers':
                'k:{"name":"che-gateway"}':
                  .: {}
                  'f:image': {}
                  'f:imagePullPolicy': {}
                  'f:name': {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:terminationMessagePath': {}
                  'f:terminationMessagePolicy': {}
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/devworkspace-metadata"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:readOnly': {}
                    'k:{"mountPath":"/etc/traefik"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
              'f:dnsPolicy': {}
              'f:serviceAccount': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:terminationGracePeriodSeconds': {}
              'f:imagePullSecrets':
                .: {}
                'k:{"name":"workspace6a0465c8d0e54e7b-sa-dockercfg-262bm"}': {}
              'f:serviceAccountName': {}
              'f:securityContext': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2022-12-01T07:52:17Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:availableReplicas': {}
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:readyReplicas': {}
          'f:replicas': {}
          'f:updatedReplicas': {}
      subresource: status
  namespace: admin-devspaces
  ownerReferences:
    - apiVersion: workspace.devfile.io/v1alpha2
      kind: DevWorkspace
      name: nodejs-mongodb
      uid: 6a0465c8-d0e5-4e7b-87db-e95b4ed39ab8
      controller: true
      blockOwnerDeletion: true
  labels:
    controller.devfile.io/creator: a80dbc41-b18e-4d94-ab63-ce28f80c3c71
    controller.devfile.io/devworkspace_id: workspace6a0465c8d0e54e7b
    controller.devfile.io/devworkspace_name: nodejs-mongodb
spec:
  replicas: 1
  selector:
    matchLabels:
      controller.devfile.io/devworkspace_id: workspace6a0465c8d0e54e7b
  template:
    metadata:
      name: workspace6a0465c8d0e54e7b
      namespace: admin-devspaces
      creationTimestamp: null
      labels:
        controller.devfile.io/creator: a80dbc41-b18e-4d94-ab63-ce28f80c3c71
        controller.devfile.io/devworkspace_id: workspace6a0465c8d0e54e7b
        controller.devfile.io/devworkspace_name: nodejs-mongodb
    spec:
      restartPolicy: Always
      serviceAccountName: workspace6a0465c8d0e54e7b-sa
      imagePullSecrets:
        - name: workspace6a0465c8d0e54e7b-sa-dockercfg-262bm
      schedulerName: default-scheduler
      terminationGracePeriodSeconds: 10
      securityContext: {}
      containers:
        - name: che-gateway
          image: >-
            registry.redhat.io/devspaces/traefik-rhel8@sha256:b4a493cb0b1102739856f5deb76742c27e2c025b335db8f1795ca1c60df40ea8
          resources:
            limits:
              cpu: 500m
              memory: 256Mi
            requests:
              cpu: 50m
              memory: 64Mi
          volumeMounts:
            - name: che-gateway
              mountPath: /etc/traefik
            - name: workspace-metadata
              readOnly: true
              mountPath: /devworkspace-metadata
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      serviceAccount: workspace6a0465c8d0e54e7b-sa
      volumes:
        - name: devworkspace-merged-git-credentials
          secret:
            secretName: devworkspace-merged-git-credentials
            defaultMode: 416
        - name: devworkspace-gitconfig
          configMap:
            name: devworkspace-gitconfig
            defaultMode: 416
        - name: che-trusted-ca-certs
          configMap:
            name: che-trusted-ca-certs
            defaultMode: 416
        - name: che-git-tls-creds
          configMap:
            name: che-git-tls-creds
            defaultMode: 416
        - name: user-profile
          secret:
            secretName: user-profile
            defaultMode: 416
        - name: che-server-cert
          secret:
            secretName: che-server-cert
            defaultMode: 416
        - name: workspace-metadata
          configMap:
            name: workspace6a0465c8d0e54e7b-metadata
            defaultMode: 420
            optional: true
        - name: che-gateway
          configMap:
            name: workspace6a0465c8d0e54e7b-route
            defaultMode: 420
      dnsPolicy: ClusterFirst
  strategy:
    type: Recreate
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2022-12-01T07:52:17Z'
      lastTransitionTime: '2022-12-01T07:52:17Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2022-12-01T07:52:17Z'
      lastTransitionTime: '2022-12-01T07:52:12Z'
      reason: NewReplicaSetAvailable
      message: >-
        ReplicaSet "workspace6a0465c8d0e54e7b-77988bc64f" has successfully
        progressed.
